<?php
// config.php

// Adjustable Background Variables
$cellSize = 32;                // Size in pixels of one grid cell.
$skyRows = 3;                  // Number of rows for the sky (blue) layer.
$grassRows = 1;                // Number of rows for the grass layer.
$dirtRows = 4;                 // Number of rows for the dirt layer.
$trans1Rows = 1;               // Number of rows for the first transition layer.
$trans2Rows = 1;               // Number of rows for the second transition layer.

$oreChance = 0.05;             // Base chance (if no neighbor) for a cell to become an ore.
$inheritChance = 0.40;         // Chance to inherit a neighbor's ore.

$caveRegionSize = 60;          // Number of grid cells in one cave region.
$cavesPerSection = 1;          // Number of cave regions to insert per section (stone and deepslate).
$caveDarkness = 0.40;          // Cave cells are rendered at 40% brightness (i.e. appear 60% darker).

$lavaClustersPerSection = 1;   // Number of lava clusters per section.
$lavaClusterMinSize = 10;       // Minimum number of cells in a lava cluster.
$lavaClusterMaxSize = 15;       // Maximum number of cells in a lava cluster.

// Header and site configuration
$siteTitle = "Minecraft Site"; // The title displayed in the header.
$siteIcon = "https://thenathe.me/img/diamond_ore.png"; // The icon displayed in the header.
$headerEnabled = true;         // Enable or disable the header (true to show, false to hide).

// Additional note on background seam fix:
// In the JavaScript below (in the template file), the grid width is now computed using (cols + 1) * cellSize
// to cover extra space and help hide any seams on certain screen sizes.
?>
